%define DISTDIR	/opt

Summary: Chrome+ Web Browser
Name: chrome+
Version: 5.0.342.9
Release: b1
License: BSD
Group: Applications/Internet
Source: %{name}-%{version}.tar.bz2
URL: http://www.chromeplus.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i686
NoSource: 0

%description
Chrome+ is an open-source web browser, designed for standards
compliance, performance and portability. Based on Google Chrome


%prep
rm -rf $RPM_BUILD_ROOT
%setup -c -q
rm chrome+*/{chrome-wrapper,release_notes,*.spec}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{DISTDIR}/chrome+,%{_bindir},/lib}
cp -a chrome+*/* $RPM_BUILD_ROOT%{DISTDIR}/chrome+
rm $RPM_BUILD_ROOT%{DISTDIR}/chrome+/locales/[a-df-ik-z]*

strip $RPM_BUILD_ROOT%{DISTDIR}/chrome+/chrome
#cat > %{buildroot}%{_bindir}/chrome+ << EOF
##!/bin/sh
#mkdir -p ~/.config/chromium
#touch ~/.config/chromium/First\ Run
#exec /opt/chrome+/chrome
#EOF
#chmod +x %{buildroot}%{_bindir}/chrome+
ln -s /opt/chrome+/chrome %{buildroot}%{_bindir}/chrome+
ln -s /lib/libbz2.so.1 %{buildroot}/lib/libbz2.so.1.0

mkdir -p %{buildroot}/usr/share/applications/
cat > %{buildroot}/usr/share/applications/chrome+.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Iron (Based on Chrome)
Exec=chrome+ %U
Terminal=false
Icon=/opt/chrome+/product_logo_48.png
Type=Application
Categories=Application;Network;WebBrowser;
MimeType=text/html;text/xml;application/xhtml_xml;
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%{_bindir}/chrome+
/opt/chrome+
/lib
%defattr(-, root, root, 0644)
/usr/share/applications/


%changelog
* Wed Apr 14 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
